import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';

class BridgeSurface extends StatelessWidget {
  final Color? color;
  final double? width;
  final double? height;

  const BridgeSurface({Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  Widget build(BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M3 12C3 16 5 21 11 21" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M10 6C10 10 12 15 18 15" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M3 8.5L3 6.5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M10 3L10 1" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M3 12L10 6" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M11 21L18 15" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M14.5 21H16.5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M21 15H23" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? ColorFilter.mode(color!, BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
