import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';

class BubbleSearch extends StatelessWidget {
  final Color? color;
  final double? width;
  final double? height;

  const BubbleSearch({Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  Widget build(BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M20.5 6.5L22 8" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M16 4.5C16 5.88071 17.1193 7 18.5 7C19.1916 7 19.8175 6.71921 20.2701 6.26541C20.7211 5.81319 21 5.18916 21 4.5C21 3.11929 19.8807 2 18.5 2C17.1193 2 16 3.11929 16 4.5Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M13 2.04938C12.6711 2.01672 12.3375 2 12 2C6.47715 2 2 6.47715 2 12C2 13.8214 2.48697 15.5291 3.33782 17L2.5 21.5L7 20.6622C8.47087 21.513 10.1786 22 12 22C17.5228 22 22 17.5228 22 12C22 11.6625 21.9833 11.3289 21.9506 11" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? ColorFilter.mode(color!, BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
