import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';

class DewPoint extends StatelessWidget {
  final Color? color;
  final double? width;
  final double? height;

  const DewPoint({Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  Widget build(BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M5 11.9995C3.78555 12.9117 3 14.3641 3 15.9999C3 18.7613 5.23858 20.9999 8 20.9999C10.7614 20.9999 13 18.7613 13 15.9999C13 14.3641 12.2144 12.9117 11 11.9995" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M5 12V3H11V12" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M11 3L13 3" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M11 6L13 6" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M11 9H13" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M8 14C6.89543 14 6 14.8954 6 16C6 17.1046 6.89543 18 8 18C9.10457 18 10 17.1046 10 16C10 14.8954 9.10457 14 8 14ZM8 14V9" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path fill-rule="evenodd" clip-rule="evenodd" d="M18.9991 3C18.9991 3 21.9991 5.99336 21.9994 7.88652C21.9997 9.5422 20.6552 10.8865 18.9997 10.8865C17.3442 10.8865 16.012 9.5422 16 7.88652C16.0098 5.99242 18.9991 3 18.9991 3Z" stroke="currentColor" stroke-width="1.49993" stroke-miterlimit="1.5" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? ColorFilter.mode(color!, BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
