import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';

class Download extends StatelessWidget {
  final Color? color;
  final double? width;
  final double? height;

  const Download({Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  Widget build(BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M6 20L18 20" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M12 4V16M12 16L15.5 12.5M12 16L8.5 12.5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? ColorFilter.mode(color!, BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
