import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';

class GitCherryPickCommit extends StatelessWidget {
  final Color? color;
  final double? width;
  final double? height;

  const GitCherryPickCommit({Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  Widget build(BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M17 11V10C17 8.89543 16.1046 8 15 8H12M7 11V10C7 8.89543 7.89543 8 9 8H12M12 8V4" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M12 20C13.6569 20 15 18.6569 15 17C15 15.3431 13.6569 14 12 14C10.3431 14 9 15.3431 9 17C9 18.6569 10.3431 20 12 20Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M9 17H3" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M15 17H21" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? ColorFilter.mode(color!, BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
