import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';

class MediaImageList extends StatelessWidget {
  final Color? color;
  final double? width;
  final double? height;

  const MediaImageList({Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  Widget build(BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M21 7.6V20.4C21 20.7314 20.7314 21 20.4 21H7.6C7.26863 21 7 20.7314 7 20.4V7.6C7 7.26863 7.26863 7 7.6 7H20.4C20.7314 7 21 7.26863 21 7.6Z" stroke="currentColor"  stroke-linecap="round" stroke-linejoin="round"/>
<path d="M18 4H4.6C4.26863 4 4 4.26863 4 4.6V18" stroke="currentColor"  stroke-linecap="round" stroke-linejoin="round"/>
<path d="M7 16.8L12.4444 15L21 18" stroke="currentColor"  stroke-linecap="round" stroke-linejoin="round"/>
<path d="M16.5 13C15.6716 13 15 12.3284 15 11.5C15 10.6716 15.6716 10 16.5 10C17.3284 10 18 10.6716 18 11.5C18 12.3284 17.3284 13 16.5 13Z" stroke="currentColor"  stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? ColorFilter.mode(color!, BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
