import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';

class PhoneDisabled extends StatelessWidget {
  final Color? color;
  final double? width;
  final double? height;

  const PhoneDisabled({Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  Widget build(BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M8.77964 8.5L9.26995 5.8699L7.81452 2L4.0636 2C2.93605 2 2.04804 2.93086 2.2164 4.04576C2.50361 5.94771 3.17338 8.90701 4.72526 11.7468M10.9413 13.5C11.778 14.244 12.7881 14.8917 14 15.5L18.1182 14.702L22 16.1812L22 19.7655C22 20.9575 20.9679 21.8664 19.8031 21.613C16.9734 20.9974 11.9738 19.506 8.22387 16.1812" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M21 3L3 21" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? ColorFilter.mode(color!, BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
