import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';

class Spiral extends StatelessWidget {
  final Color? color;
  final double? width;
  final double? height;

  const Spiral({Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  Widget build(BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M3.5 6.00398C3.5 7.80795 6.35714 9 11.5 9C18.5 9 19.5 6.00398 19.5 6.00398C19.5 6.00398 18.5 3 11.5 3C6.35714 3 3.5 4.2 3.5 6.00398Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M3.5 12.004C3.5 13.808 6.35714 15 11.5 15C18.5 15 19.5 12.004 19.5 12.004C19.5 12.004 18.5 9 11.5 9C6.35714 9 3.5 10.2 3.5 12.004Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M3.5 18.004C3.5 19.808 6.35714 21 11.5 21C18.5 21 19.5 18.004 19.5 18.004C19.5 18.004 18.5 15 11.5 15C6.35714 15 3.5 16.2 3.5 18.004Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M19.5 12C19.5 12 20.5 11.025 20.5 9C20.5 6.975 19.5 6 19.5 6" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M20.5 4C20.5 5.35 19.5 6 19.5 6" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M19.5 18C19.5 18 20.5 17.025 20.5 15C20.5 12.975 19.5 12 19.5 12" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M20.5 20C20.5 18.65 19.5 18 19.5 18" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? ColorFilter.mode(color!, BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
