import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';

class VoiceSquare extends StatelessWidget {
  final Color? color;
  final double? width;
  final double? height;

  const VoiceSquare({Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  Widget build(BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M21 3.6V20.4C21 20.7314 20.7314 21 20.4 21H3.6C3.26863 21 3 20.7314 3 20.4V3.6C3 3.26863 3.26863 3 3.6 3H20.4C20.7314 3 21 3.26863 21 3.6Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M12 6L12 18" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M9 9L9 15" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M18 11L18 13" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M6 11L6 13" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M15 7L15 17" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? ColorFilter.mode(color!, BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
