import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';

class ZoomIn extends StatelessWidget {
  final Color? color;
  final double? width;
  final double? height;

  const ZoomIn({Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  Widget build(BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M8 11H11M14 11H11M11 11V8M11 11V14" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M17 17L21 21" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M3 11C3 15.4183 6.58172 19 11 19C13.213 19 15.2161 18.1015 16.6644 16.6493C18.1077 15.2022 19 13.2053 19 11C19 6.58172 15.4183 3 11 3C6.58172 3 3 6.58172 3 11Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        colorFilter:
            color != null ? ColorFilter.mode(color!, BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
